Subject: bug#69983: Use category for display-buffer-alist

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Apr 2024 12:13:19 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 21 Apr 2024 09:52:50 +0300
> 
> I don't understand why 'end-of-buffer' leaves 2 additional empty lines
> at bottom.

I think it's so you could type there without causing an immediate
scroll of the window.

> Maybe 'end-of-buffer' should use -1 when 'scroll-conservatively' is set
> as this FIXME comment in 'end-of-buffer' suggests:
> 
> 	 ;; FIXME: Arguably if `scroll-conservatively' is set, then
>          ;; we should pass -1 to `recenter'.
> 	 (recenter (if (and scroll-minibuffer-conservatively
> 	                    (window-minibuffer-p))
> 	               -1 -3))

Maybe.  I believe we added the scroll-minibuffer-conservatively
variable because some people may wish setting it to a value different
from scroll-conservatively.  But we could try your suggestion and see
if people complain.

> Anyway, the warning buffer is as narrow as the minibuffer,
> so -1 is the right value for 'display-warning'.

OK, thanks.